Summary:	Text to Postscript filter
Summary(ja.UTF-8):	テキスト→PostScript フィルタ
Summary(pl.UTF-8):	Filtr text/plain do Postscriptu
Summary(zh_CN.UTF-8):	纯文本到Postscript转换器
Name:		a2ps
Version:	4.14
Release:	3
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/a2ps/%{name}-%{version}.tar.gz
# Source0-md5:	781ac3d9b213fa3e1ed0d79f986dc8c7
Source1:	ftp://ftp.enst.fr/pub/unix/a2ps/i18n-fonts-0.1.tar.gz
# Source1-md5:	fee1456d0e6e94af4fc5b5a1bb9687b7
Source2:	ogonkify.1.pl
Patch0:		%{name}-info.patch
Patch1:		%{name}-security.patch
Patch2:		%{name}-etc.patch
Patch3:		%{name}-flex.patch
Patch4:		%{name}-conf.patch
Patch5:		%{name}-glibcpaper.patch
Patch6:		%{name}-autoenc.patch
Patch7:		%{name}-i18n.patch
Patch8:		%{name}-ogonkify-xfig-fix.patch
Patch9:		%{name}-pl.po-update.patch
Patch10:	%{name}-locale-names.patch
Patch11:	%{name}-atan2.patch
Patch12:	format-security.patch
URL:		http://www.gnu.org/software/a2ps/
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gettext-tools
BuildRequires:	gperf
BuildRequires:	libpaper-devel
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
Requires:	psutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/a2ps

%description
a2ps is a text to PostScript filter with pretty-printing capabilities.
It includes support for a wide number of programming languages,
encodings (ISO Latins, Cyrillic etc.), medias, and spoken languages
(for the interface). It has also the ability to delegate the
processing of some files to other applications, letting you print DVI,
PostScript etc. with the very same interface.

%description -l pl.UTF-8
A2ps jest programem pozwalającym na ładne drukowanie plików tekstowych
w PostScript. Posiada wsparcie dla wielu różnych języków
programowania, zestawów znaków (ISO Latins, Cyrilica etc.), wielkości
papieru, i języków komunikacji z użytkownikiem. Potrafi także
przekazać przetwarzanie plików do innych programów (tak, że można
wszystko drukować (DVI, PostScript) przy użyciu tego samego polecenia.
Zawiera program ,,ogonkify'' poprawiający błędnie zakodowany
PostScript zawierający polskie znaki.

%package devel
Summary:	Header files for a2ps library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki a2ps
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for a2ps library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki a2ps.

%package static
Summary:	a2ps static library
Summary(pl.UTF-8):	Biblioteka statyczna a2ps
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
a2ps static library.

%description static -l pl.UTF-8
Biblioteka statyczna a2ps.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

mv -f po/{no,nb}.po

%build
cp -f /usr/share/automake/config.* auxdir
%configure \
	--with-gnu-gettext \
	--with-medium=_glibc  \
	--with-encoding=latin1 \
	--enable-shared \
	--enable-kanji
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/a2ps/{afm,fonts} \
	$RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__perl} -pi -e 's/^lispdir = $/lispdir = \$(prefix)\/lib\/emacs\/site-lisp/g' contrib/emacs/Makefile

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install i18n-fonts-0.1/afm/*.afm $RPM_BUILD_ROOT%{_datadir}/a2ps/afm
install i18n-fonts-0.1/fonts/*.pfb $RPM_BUILD_ROOT%{_datadir}/a2ps/fonts
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/a2ps-site.cfg
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/liba2ps.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liba2ps.so.1
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*

%dir %{_datadir}/a2ps
%dir %{_datadir}/a2ps/afm
%{_datadir}/a2ps/afm/*.afm
%{_datadir}/a2ps/afm/*.map
%attr(755,root,root) %{_datadir}/a2ps/afm/*.sh

%{_datadir}/a2ps/encoding
%{_datadir}/a2ps/fonts
%{_datadir}/a2ps/ppd
%{_datadir}/a2ps/ps
%{_datadir}/a2ps/sheets

%dir %{_datadir}/ogonkify
%{_datadir}/ogonkify/*.enc
%{_datadir}/ogonkify/*.ps
%{_datadir}/ogonkify/afm
%{_datadir}/ogonkify/fonts

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liba2ps.so
%{_libdir}/liba2ps.la
%{_includedir}/liba2ps.h

%files static
%defattr(644,root,root,755)
%{_libdir}/liba2ps.a
%changelog
* Wed Apr 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/a2ps.git;a=log;h=master

* Wed Apr 01 2015 Jan Rękorajski <baggins@pld-linux.org> 9402a7c
- fix format string errors
- fix building with texinfo 5
- rel 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e35531e
- updated gettext BR

* Thu Nov 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 82372bb
- updated pl.po-update patch
- use plain configure macro
- cleanups
- GPL v3 now

* Thu Nov 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 6b59ad8
- updated for 4.14

* Wed Nov 05 2008 pawelz <pawelz@pld-linux.org> 718daff
- build it with libpaper (s/BC: libpaper-devel/BR: libpaper-devel)
- removed TODO
- rel 2

* Wed Nov 05 2008 pawelz <pawelz@pld-linux.org> 3a6ccbc
- new url (project is hosted @ gnu.org now)

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 793b6f7
- rel 1
- STBR

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 00ad530
- applied upstream

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> ffdb9d6
- adapterized

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 2a0a5b5
- removed outdated patches

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 7b991c3
- BR: gperf

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 3f321ca
- more verbose %%files
- %%ghost so symlink

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 76c7f7c
- updated (a2ps-4.14)

* Tue Nov 04 2008 pawelz <pawelz@pld-linux.org> 49f59e1
- started update o 4.14
- new source url

* Mon Oct 20 2008 Kacper Kornet <draenog@pld-linux.org> c8f6993
- psset.patch
- rel. 31, STBR

* Mon Oct 20 2008 Kacper Kornet <draenog@pld-linux.org> 7d8e006
- fixes sed expression according to description in source

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 2fe3742
- s/enviroment/environment/

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 1e65813
- rel 30
- BC: libpaper, TODO added

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 2796555
- BR libpaper-devel

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> f300b78
- rel 29

